Local Ai not working on nc29.0

NC 29.0 AIO

Local AI is not working

[integration_openai] Waarschuwing: API request error : Server error: POST http://nextcloud-aio-local-ai:8080/v1/chat/completions resulted in a 500 Internal Server Error response:
{“error”:{“code”:500,“message”:“rpc error: code = Unknown desc = unimplemented”,“type”:“”}}

POST /ocs/v2.php/apps/assistant/api/v1/task/run-or-schedule
from *********** by admin at 10 jun 2024 22:32:13

Hi, does this maybe help? Update readme.md · nextcloud/all-in-one@712d86e · GitHub

[text2image_stablediffusion] Waarschuwing: Stable diffusion process failed with exit code “1”: node:internal/modules/cjs/loader:1243
return process.dlopen(module, path.toNamespacedPath(filename));
^

Error: Error loading shared library ld-linux-x86-64.so.2: No such file or directory (needed by /var/www/html/custom_apps/text2image_stablediffusion/node_modules/onnxruntime-node/bin/napi-v3/linux/x64//libonnxruntime.so.1.15.1)
at Module._extensions…node (node:internal/modules/cjs/loader:1243:18)
at Module.load (node:internal/modules/cjs/loader:1037:32)
at Module._load (node:internal/modules/cjs/loader:878:12)
at Module.require (node:internal/modules/cjs/loader:1061:19)
at require (node:internal/modules/cjs/helpers:103:18)
at Object. (/var/www/html/custom_apps/text2image_stablediffusion/node_modules/onnxruntime-node/dist/binding.js:9:1)
at Module._compile (node:internal/modules/cjs/loader:1159:14)
at Module._extensions…js (node:internal/modules/cjs/loader:1213:10)
at Module.load (node:internal/modules/cjs/loader:1037:32)
at Module._load (node:internal/modules/cjs/loader:878:12) {
code: ‘ERR_DLOPEN_FAILED’
}

Node.js v18.12.1

POST /ocs/v2.php/apps/assistant/api/v1/i/process_prompt
from ******** by admin at 12 jun 2024 08:06:29

[context_chat] Waarschuwing: Temporary problem with indexing, trying again soon
from ? by – at 12 jun 2024 08:07:00

[llm] Waarschuwing: Traceback (most recent call last):
File “/var/www/html/custom_apps/llm/python/lib/python3.11/site-packages/langchain/llms/gpt4all.py”, line 131, in validate_environment
from gpt4all import GPT4All as GPT4AllModel
ModuleNotFoundError: No module named ‘gpt4all’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/var/www/html/custom_apps/llm/src-py/index.py”, line 23, in
llm = GPT4All(model=os.path.join(dir_path, “models”, args.model), n_threads=int(threads))
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/var/www/html/custom_apps/llm/python/lib/python3.11/site-packages/langchain/load/serializable.py”, line 97, in init
super().init(**kwargs)
File “/var/www/html/custom_apps/llm/python/lib/python3.11/site-packages/pydantic/v1/main.py”, line 339, in init
values, fields_set, validation_error = validate_model(pydantic_self.class, data)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “/var/www/html/custom_apps/llm/python/lib/python3.11/site-packages/pydantic/v1/main.py”, line 1102, in validate_model
values = validator(cls_, values)
^^^^^^^^^^^^^^^^^^^^^^^
File “/var/www/html/custom_apps/llm/python/lib/python3.11/site-packages/langchain/llms/gpt4all.py”, line 133, in validate_environment
raise ImportError(
ImportError: Could not import gpt4all python package. Please install it with pip install gpt4all.

from ? by -- at 12 jun 2024 08:17:48